Bug 1419246 - defined macro %info_requires (/usr/lib/rpm/macros.d/macros.info) can't be used as is
Summary: defined macro %info_requires (/usr/lib/rpm/macros.d/macros.info) can't be use...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 09:15 UTC by dani
Modified: 2017-04-01 17:01 UTC (History)
2 users (show)

Fixed In Version: texinfo-6.1-4.fc25 texinfo-6.3-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:23:13 UTC
Type: Bug


Attachments (Terms of Use)

Description dani 2017-02-04 09:15:59 UTC
Description of problem:
Package 'info' provides macros in the file /usr/lib/rpm/macros.d/macros.info:
The %info_requires macro requires /usr/sbin/install-info
yet the 'info' package provides /sbin/install-info (note the missing /usr/ prefix).

When using as intended in a SPEC file, rpmbuild fails.


Version-Release number of selected component (if applicable):
6.1-3

How reproducible:
always

Steps to Reproduce:
1. Create a spec file with tag '%info_requires'
2. rpmbuild -ba pkg.spec
3. dnf install pkg

Actual results:
Error: nothing provides /usr/sbin/install-info needed by pkg

Expected results:
pkg installed

Additional info:
Package 'info' provides /sbin/install-info

Comment 1 dani 2017-02-04 09:18:04 UTC
I don't know which is correct - rebuilding 'info' to place it's files in /usr/sbin/... or modifying the macro to require /sbin/... instead of /usr/sbin

Comment 2 Fedora Update System 2017-03-13 14:32:28 UTC
texinfo-6.3-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0bcdcf13d3

Comment 3 Fedora Update System 2017-03-13 14:56:15 UTC
texinfo-6.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9bf1b2f25c

Comment 4 Fedora Update System 2017-03-14 01:23:52 UTC
texinfo-6.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9bf1b2f25c

Comment 5 Fedora Update System 2017-03-14 03:21:49 UTC
texinfo-6.3-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0bcdcf13d3

Comment 6 Fedora Update System 2017-03-15 18:23:13 UTC
texinfo-6.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-04-01 17:01:11 UTC
texinfo-6.3-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.